repo/gentoo:master commit in: net-im/coturn/

"Florian Schmaus" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786271897.eda1a17f98cee02e9e6a54b91a0e7c795a36f85b.flow@gentoo>
commit:     eda1a17f98cee02e9e6a54b91a0e7c795a36f85b
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 10:37:57 2026 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 10:38:17 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eda1a17f

net-im/coturn: add 4.17.2

Bug: https://bugs.gentoo.org/976242
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-im/coturn/Manifest             |   1 +
 net-im/coturn/coturn-4.17.2.ebuild | 102 +++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/net-im/coturn/Manifest b/net-im/coturn/Manifest
index e9b58ef076e4..e2863e05f3fd 100644
--- a/net-im/coturn/Manifest
+++ b/net-im/coturn/Manifest
@@ -1 +1,2 @@
+DIST coturn-4.17.2.tar.gz 812942 BLAKE2B 180d506dab22c819636a206075af4bd664ca67358985aad88a9387144b854f67b97546c702356d1891b265dcc5ec2c8cd83ea51dbd5edc3579dda0332fe7effe SHA512 1ab919d72616b2f1d904a25590eca18b288398efaae8220e09329f0ad9ba92d8358b8c91cce73e0fbfb748f2b0b2629329b59e759d1c6a60b03c792983bee23f
 DIST coturn-4.6.2.tar.gz 506275 BLAKE2B 0755e5ab8a5aa87606a604f7ebda81dfd1e5ae04e394316d841954f2d45caafccab43c17aee6de241b7b3e8483a4f7b54f68b915921b36621929d60127d1084b SHA512 ab8457921952a00b34111c03f2e5a2a9035977566270fdf9c8b9b777346645a8b233574134c0ef1c3aa2cf84bd89fbc82648678144c68ac0dff1712ce503b731

diff --git a/net-im/coturn/coturn-4.17.2.ebuild b/net-im/coturn/coturn-4.17.2.ebuild
new file mode 100644
index 000000000000..bea22a8db274
--- /dev/null
+++ b/net-im/coturn/coturn-4.17.2.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit greadme toolchain-funcs systemd tmpfiles
+
+DESCRIPTION="coturn TURN server project"
+HOMEPAGE="https://github.com/coturn/coturn"
+
+if [[ ${PV} == *9999 ]]; then
+	EGIT_REPO_URI="https://github.com/coturn/coturn.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/coturn/coturn/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="mongodb mysql postgres redis sqlite"
+
+DEPEND="
+	>dev-libs/libevent-2.1.8:=[ssl]
+	dev-libs/openssl:=
+	mongodb? (
+		dev-libs/libbson
+		dev-libs/mongo-c-driver
+	)
+	mysql? ( dev-db/mysql-connector-c:= )
+	postgres? ( dev-db/postgresql:* )
+	redis? ( dev-libs/hiredis:= )
+	sqlite? ( dev-db/sqlite:3 )
+"
+RDEPEND="
+	${DEPEND}
+	acct-user/turnserver
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.5.2-respect-TMPDIR.patch
+)
+
+src_configure() {
+	sed -e '/MANPREFIX/s:/man/:/:' \
+		-e '/INSTALL_DIR} examples\/script/a \	\${INSTALL_DIR} examples\/ca \${DESTDIR}${EXAMPLESDIR}' \
+		-e '/INSTALL_STATIC_LIB/d' \
+		-i "Makefile.in" || die "sed for Makefile.in failed"
+
+	sed -e 's:#log-file=/var/tmp/turn.log:log-file=/var/log/turnserver.log:' \
+		-e 's:#simple-log:simple-log:' \
+		-i "examples/etc/turnserver.conf"  || die "sed for turnserve.conf failed"
+
+	if ! use mongodb; then
+		export TURN_NO_MONGO=yes
+	fi
+	if ! use mysql; then
+		export TURN_NO_MYSQL=yes
+	fi
+	if ! use postgres; then
+		export TURN_NO_PQ=yes
+	fi
+	if ! use redis; then
+		export TURN_NO_HIREDIS=yes
+	fi
+	if ! use sqlite; then
+		export TURN_NO_SQLITE=yes
+	fi
+
+	tc-export CC
+
+	export ARCHIVERCMD="$(tc-getAR) -r"
+	export PKGCONFIG="$(tc-getPKG_CONFIG)"
+	export DOCSDIR="/usr/share/doc/${PF}"
+
+	econf $(use_with sqlite)
+}
+
+src_install() {
+	default
+
+	keepdir /var/lib/db
+
+	newinitd "${FILESDIR}/turnserver.init" turnserver
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/logrotate.${PN}" "${PN}"
+
+	systemd_dounit "${FILESDIR}/${PN}.service"
+	dotmpfiles "${FILESDIR}/${PN}.conf"
+
+	greadme_stdin <<-EOF
+	You need to copy ${EPREFIX}/etc/turnserver.conf.default to
+	${EPREFIX}/etc/turnserver.conf and do your settings there.
+	EOF
+}
+
+pkg_postinst() {
+	tmpfiles_process ${PN}.conf
+	greadme_pkg_postinst
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.